Mark Invoice as Paid
curl --request POST \
--url https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay \
--header 'Content-Type: application/json' \
--data '
{
"invoice_id": "58700",
"transactions": [
{
"transaction_id": 14728800,
"transaction_description": "Payment from Campfire Software Inc",
"account_id": "2553",
"account_name": "1100 - Accounts Receivable",
"amount": 883.33
}
],
"credit_memos": [
{
"credit_memo_id": 4029,
"credit_memo_number": "CM-0000007",
"amount": 150,
"posted_at": "2025-07-25"
}
],
"empty_transactions": []
}
'import requests
url = "https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay"
payload = {
"invoice_id": "58700",
"transactions": [
{
"transaction_id": 14728800,
"transaction_description": "Payment from Campfire Software Inc",
"account_id": "2553",
"account_name": "1100 - Accounts Receivable",
"amount": 883.33
}
],
"credit_memos": [
{
"credit_memo_id": 4029,
"credit_memo_number": "CM-0000007",
"amount": 150,
"posted_at": "2025-07-25"
}
],
"empty_transactions": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_id: '58700',
transactions: [
{
transaction_id: 14728800,
transaction_description: 'Payment from Campfire Software Inc',
account_id: '2553',
account_name: '1100 - Accounts Receivable',
amount: 883.33
}
],
credit_memos: [
{
credit_memo_id: 4029,
credit_memo_number: 'CM-0000007',
amount: 150,
posted_at: '2025-07-25'
}
],
empty_transactions: []
})
};
fetch('https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invoice_id' => '58700',
'transactions' => [
[
'transaction_id' => 14728800,
'transaction_description' => 'Payment from Campfire Software Inc',
'account_id' => '2553',
'account_name' => '1100 - Accounts Receivable',
'amount' => 883.33
]
],
'credit_memos' => [
[
'credit_memo_id' => 4029,
'credit_memo_number' => 'CM-0000007',
'amount' => 150,
'posted_at' => '2025-07-25'
]
],
'empty_transactions' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay"
payload := strings.NewReader("{\n \"invoice_id\": \"58700\",\n \"transactions\": [\n {\n \"transaction_id\": 14728800,\n \"transaction_description\": \"Payment from Campfire Software Inc\",\n \"account_id\": \"2553\",\n \"account_name\": \"1100 - Accounts Receivable\",\n \"amount\": 883.33\n }\n ],\n \"credit_memos\": [\n {\n \"credit_memo_id\": 4029,\n \"credit_memo_number\": \"CM-0000007\",\n \"amount\": 150,\n \"posted_at\": \"2025-07-25\"\n }\n ],\n \"empty_transactions\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay")
.header("Content-Type", "application/json")
.body("{\n \"invoice_id\": \"58700\",\n \"transactions\": [\n {\n \"transaction_id\": 14728800,\n \"transaction_description\": \"Payment from Campfire Software Inc\",\n \"account_id\": \"2553\",\n \"account_name\": \"1100 - Accounts Receivable\",\n \"amount\": 883.33\n }\n ],\n \"credit_memos\": [\n {\n \"credit_memo_id\": 4029,\n \"credit_memo_number\": \"CM-0000007\",\n \"amount\": 150,\n \"posted_at\": \"2025-07-25\"\n }\n ],\n \"empty_transactions\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"invoice_id\": \"58700\",\n \"transactions\": [\n {\n \"transaction_id\": 14728800,\n \"transaction_description\": \"Payment from Campfire Software Inc\",\n \"account_id\": \"2553\",\n \"account_name\": \"1100 - Accounts Receivable\",\n \"amount\": 883.33\n }\n ],\n \"credit_memos\": [\n {\n \"credit_memo_id\": 4029,\n \"credit_memo_number\": \"CM-0000007\",\n \"amount\": 150,\n \"posted_at\": \"2025-07-25\"\n }\n ],\n \"empty_transactions\": []\n}"
response = http.request(request)
puts response.read_body{
"journal_entry_ids": [
123
],
"payment_ids": [
123
],
"auto_created_credit_memos": [
{
"id": 123,
"credit_memo_number": "<string>"
}
]
}Accounts Receivable
Mark Invoice as Paid
Mark an invoice as paid, allowing partial payments.
This endpoint supports multiple payment methods:
- Apply existing transactions as payments
- Apply credit memos to reduce the invoice balance
- Create manual payments without a transaction
The request body should contain at least one of:
- transactions: List of transaction payments to apply
- credit_memos: List of credit memos to apply
- empty_transactions: List of manual payments without transactions
POST
/
coa
/
api
/
v1
/
invoice
/
{invoice_id}
/
pay
Mark Invoice as Paid
curl --request POST \
--url https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay \
--header 'Content-Type: application/json' \
--data '
{
"invoice_id": "58700",
"transactions": [
{
"transaction_id": 14728800,
"transaction_description": "Payment from Campfire Software Inc",
"account_id": "2553",
"account_name": "1100 - Accounts Receivable",
"amount": 883.33
}
],
"credit_memos": [
{
"credit_memo_id": 4029,
"credit_memo_number": "CM-0000007",
"amount": 150,
"posted_at": "2025-07-25"
}
],
"empty_transactions": []
}
'import requests
url = "https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay"
payload = {
"invoice_id": "58700",
"transactions": [
{
"transaction_id": 14728800,
"transaction_description": "Payment from Campfire Software Inc",
"account_id": "2553",
"account_name": "1100 - Accounts Receivable",
"amount": 883.33
}
],
"credit_memos": [
{
"credit_memo_id": 4029,
"credit_memo_number": "CM-0000007",
"amount": 150,
"posted_at": "2025-07-25"
}
],
"empty_transactions": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_id: '58700',
transactions: [
{
transaction_id: 14728800,
transaction_description: 'Payment from Campfire Software Inc',
account_id: '2553',
account_name: '1100 - Accounts Receivable',
amount: 883.33
}
],
credit_memos: [
{
credit_memo_id: 4029,
credit_memo_number: 'CM-0000007',
amount: 150,
posted_at: '2025-07-25'
}
],
empty_transactions: []
})
};
fetch('https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'invoice_id' => '58700',
'transactions' => [
[
'transaction_id' => 14728800,
'transaction_description' => 'Payment from Campfire Software Inc',
'account_id' => '2553',
'account_name' => '1100 - Accounts Receivable',
'amount' => 883.33
]
],
'credit_memos' => [
[
'credit_memo_id' => 4029,
'credit_memo_number' => 'CM-0000007',
'amount' => 150,
'posted_at' => '2025-07-25'
]
],
'empty_transactions' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay"
payload := strings.NewReader("{\n \"invoice_id\": \"58700\",\n \"transactions\": [\n {\n \"transaction_id\": 14728800,\n \"transaction_description\": \"Payment from Campfire Software Inc\",\n \"account_id\": \"2553\",\n \"account_name\": \"1100 - Accounts Receivable\",\n \"amount\": 883.33\n }\n ],\n \"credit_memos\": [\n {\n \"credit_memo_id\": 4029,\n \"credit_memo_number\": \"CM-0000007\",\n \"amount\": 150,\n \"posted_at\": \"2025-07-25\"\n }\n ],\n \"empty_transactions\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay")
.header("Content-Type", "application/json")
.body("{\n \"invoice_id\": \"58700\",\n \"transactions\": [\n {\n \"transaction_id\": 14728800,\n \"transaction_description\": \"Payment from Campfire Software Inc\",\n \"account_id\": \"2553\",\n \"account_name\": \"1100 - Accounts Receivable\",\n \"amount\": 883.33\n }\n ],\n \"credit_memos\": [\n {\n \"credit_memo_id\": 4029,\n \"credit_memo_number\": \"CM-0000007\",\n \"amount\": 150,\n \"posted_at\": \"2025-07-25\"\n }\n ],\n \"empty_transactions\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meetcampfire.com/coa/api/v1/invoice/{invoice_id}/pay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"invoice_id\": \"58700\",\n \"transactions\": [\n {\n \"transaction_id\": 14728800,\n \"transaction_description\": \"Payment from Campfire Software Inc\",\n \"account_id\": \"2553\",\n \"account_name\": \"1100 - Accounts Receivable\",\n \"amount\": 883.33\n }\n ],\n \"credit_memos\": [\n {\n \"credit_memo_id\": 4029,\n \"credit_memo_number\": \"CM-0000007\",\n \"amount\": 150,\n \"posted_at\": \"2025-07-25\"\n }\n ],\n \"empty_transactions\": []\n}"
response = http.request(request)
puts response.read_body{
"journal_entry_ids": [
123
],
"payment_ids": [
123
],
"auto_created_credit_memos": [
{
"id": 123,
"credit_memo_number": "<string>"
}
]
}Path Parameters
ID of the invoice to mark as paid
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200 - application/json
200 payload for the mark-invoice-paid endpoint.
The endpoint returns ids of the records it created rather than the invoice itself.
auto_created_credit_memos is only present when an overpayment produced one.